// příklad použití knihovny DallasTemperature pro čtení teploty z DS18B20
// https://milesburton.com/Dallas_Temperature_Control_Library
// http://playground.arduino.cc/Learning/OneWire

#include <OneWire.h>
#include <DallasTemperature.h>
 
// je nutno korektně nastavit, na kterém vstupu/výstupu je připojena OneWire sběrnice
#define ONE_WIRE_BUS 9 // sběrnice OneWire na pinu D9

OneWire oneWire(ONE_WIRE_BUS); //inicializace sběrnice

// přiřazení OneWire sběrnice ke knihovně DallasTemperature
DallasTemperature sensors(&oneWire);
 
void setup(void)
{
Serial.begin(9600); //inicializace seriové linky
sensors.begin(); //inicializace teploměru
}
 
void loop(void)
{
sensors.requestTemperatures(); // spuštění odečtu teploty

Serial.println("Teplota pro cidlo 1: ");
// Teplota je čtena odkazem na index zařízení, protože na sběrnici může být zařízení více.
// Index 0 odkazuje na 1. zařízení na sběrnici. One Wire sběrnice používá deterministický způsob přiřazení indexů.
// To znamená, že ve stejné konfiguraci sensorů bude jejich pořadí i po restaru stále stejné.
Serial.println(sensors.getTempCByIndex(0));

delay(1000); 
}
